Debian Bug report logs - #589612
missing element-beta-min.js

version graph

Package: moodle; Maintainer for moodle is Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>; Source for moodle is src:moodle.

Reported by: Robert Millan <rmh.iesmontserrat@gmail.com>

Date: Mon, 19 Jul 2010 08:57:01 UTC

Severity: important

Found in version moodle/1.9.9-1

Fixed in version moodle/1.9.9-2

Done: Tomasz Muras <nexor1984@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>:
Bug#589612; Package moodle. (Mon, 19 Jul 2010 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh.iesmontserrat@gmail.com>:
New Bug report received and forwarded. Copy sent to Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>. (Mon, 19 Jul 2010 08:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh.iesmontserrat@gmail.com>
To: submit@bugs.debian.org
Subject: missing element-beta-min.js
Date: Mon, 19 Jul 2010 10:54:06 +0200
Package: moodle
Version: 1.9.9-1
Severity: important

ajaxlib.php requires a file called element-beta-min.js, which is no
longer in moodle package as it used to be (or in any other package in
debian):

./lib/ajax/ajaxlib.php:            'yui_element' =>
'/lib/yui/element/element-beta-min.js',

It's supposed to be found in
/usr/share/moodle/lib/yui/element/element-beta-min.js

This makes the "qualification" dialog fail (in require_js).




Information forwarded to debian-bugs-dist@lists.debian.org, Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>:
Bug#589612; Package moodle. (Mon, 19 Jul 2010 09:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh.iesmontserrat@gmail.com>:
Extra info received and forwarded to list. Copy sent to Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>. (Mon, 19 Jul 2010 09:27:08 GMT) Full text and rfc822 format available.

Message #10 received at 589612@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh.iesmontserrat@gmail.com>
To: 589612@bugs.debian.org
Subject: Re: missing element-beta-min.js
Date: Mon, 19 Jul 2010 11:22:28 +0200
2010/7/19, Robert Millan <rmh.iesmontserrat@gmail.com>:
> It's supposed to be found in
> /usr/share/moodle/lib/yui/element/element-beta-min.js

Actually, I just realized the real path of that is
/usr/share/javascript/yui/element/ which is a directory of libjs-yui
package.

Using element-min.js instead seems to work as replacement.




Information forwarded to debian-bugs-dist@lists.debian.org, Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>:
Bug#589612; Package moodle. (Mon, 19 Jul 2010 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Muras <tomasz@muras.eu>:
Extra info received and forwarded to list. Copy sent to Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>. (Mon, 19 Jul 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 589612@bugs.debian.org (full text, mbox):

From: Tomasz Muras <tomasz@muras.eu>
To: Robert Millan <rmh.iesmontserrat@gmail.com>, 589612@bugs.debian.org
Subject: Re: [moodle-packaging] Bug#589612: missing element-beta-min.js
Date: Mon, 19 Jul 2010 20:42:17 +0100
I can that there are more includes like this. All the non-existing
includes I was able to find are:
charts/charts-experimental-min.js
element/element-beta-min.js
imagecropper/imagecropper-beta-min.js
profilerviewer/profilerviewer-beta-min.js
selector/selector-beta-min.js
uploader/uploader-experimental-min.js

I will create a patch for ajaxlib.php to fix it.

Thank you very much for reporting and debugging this. How/where do you
open that "qualification" dialog?

cheers,
Tomek Muras




Information forwarded to debian-bugs-dist@lists.debian.org, Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>:
Bug#589612; Package moodle. (Thu, 22 Jul 2010 07:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh.iesmontserrat@gmail.com>:
Extra info received and forwarded to list. Copy sent to Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>. (Thu, 22 Jul 2010 07:42:07 GMT) Full text and rfc822 format available.

Message #20 received at 589612@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh.iesmontserrat@gmail.com>
To: Tomasz Muras <tomasz@muras.eu>
Cc: 589612@bugs.debian.org
Subject: Re: [moodle-packaging] Bug#589612: missing element-beta-min.js
Date: Thu, 22 Jul 2010 09:41:03 +0200
2010/7/19, Tomasz Muras <tomasz@muras.eu>:
> Thank you very much for reporting and debugging this. How/where do you
> open that "qualification" dialog?

Sorry, that was a mistranslation from Catalan. The section name in
English would be "Grades".




Reply sent to Tomasz Muras <nexor1984@gmail.com>:
You have taken responsibility. (Sun, 25 Jul 2010 17:36:07 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh.iesmontserrat@gmail.com>:
Bug acknowledged by developer. (Sun, 25 Jul 2010 17:36:07 GMT) Full text and rfc822 format available.

Message #25 received at 589612-close@bugs.debian.org (full text, mbox):

From: Tomasz Muras <nexor1984@gmail.com>
To: 589612-close@bugs.debian.org
Subject: Bug#589612: fixed in moodle 1.9.9-2
Date: Sun, 25 Jul 2010 17:32:35 +0000
Source: moodle
Source-Version: 1.9.9-2

We believe that the bug you reported is fixed in the latest version of
moodle, which is due to be installed in the Debian FTP archive:

moodle_1.9.9-2.debian.tar.gz
  to main/m/moodle/moodle_1.9.9-2.debian.tar.gz
moodle_1.9.9-2.dsc
  to main/m/moodle/moodle_1.9.9-2.dsc
moodle_1.9.9-2_all.deb
  to main/m/moodle/moodle_1.9.9-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589612@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tomasz Muras <nexor1984@gmail.com> (supplier of updated moodle package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Jul 2010 23:23:22 +0100
Source: moodle
Binary: moodle
Architecture: source all
Version: 1.9.9-2
Distribution: unstable
Urgency: low
Maintainer: Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>
Changed-By: Tomasz Muras <nexor1984@gmail.com>
Description: 
 moodle     - Course Management System for Online Learning
Closes: 589612
Changes: 
 moodle (1.9.9-2) unstable; urgency=low
 .
   * Fixed JS includes for YUI library (closes: #589612)
   * Bumped standards version to 3.9.0
   * Moved BSD licenses into copyright (fixes lintian warning)
   * Setting DM-Upload-Allowed as agreed with Xavier Oswald <xoswald@debian.org>
Checksums-Sha1: 
 f2f0e5822cf73765714fc368552351f6486d59f7 1360 moodle_1.9.9-2.dsc
 f718fdd1b468171535ab6783de86d3de40940a39 18134 moodle_1.9.9-2.debian.tar.gz
 765f4787fdd8112977142c831b82029e6637c709 10059540 moodle_1.9.9-2_all.deb
Checksums-Sha256: 
 de56905d25f4d7ada02bc1b08a331a7022cbf527fa2dd87d1631d6920cc07e2e 1360 moodle_1.9.9-2.dsc
 d7fa4e07e23b5b296ae8e25d10690672fe30d0ff982c0e2987f6287e265551f8 18134 moodle_1.9.9-2.debian.tar.gz
 987e2b693a1e888bd8cac42e16573469f46d89c2c75de1e148efb46b20caf9b3 10059540 moodle_1.9.9-2_all.deb
Files: 
 04fd2b6599f9adf454a44720e61d91e9 1360 web optional moodle_1.9.9-2.dsc
 eb5832088d89e741fd4676655cbf9a07 18134 web optional moodle_1.9.9-2.debian.tar.gz
 392e2b9d34373569f0cd2653bc6f69b3 10059540 web optional moodle_1.9.9-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxMcZ8ACgkQpDDGqoi7tR4sogCfR7SpSXkpvUO8DaYS1ZO+1Y2G
698AoJxAaYHo2gipnmcQpCYqsfXQCyok
=19NX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Sep 2010 07:31:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:02:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.